import * as Y from "yjs";
import { MissionMap } from "../storage/missionMap";

export default abstract class MissionDocHelper {
  public static async populateDoc(missionId: string) {
    // get Data from database
    const doc = new Y.Doc();
    doc.getMap("form");
    doc.getText("editor");

    // const ymap = ydoc.getMap('myMap');
    // ymap.set('titel', 'Mein Dokument');
    // ymap.set('inhalt', 'Hier ist der initiale Inhalt');
    // ymap.set('erstelltAm', new Date().toISOString());

    // const yarray = ydoc.getArray('meineArray');
    // yarray.push(['Element 1', 'Element 2', 'Element 3']);

    // const ytext = ydoc.getText('meinText');
    // ytext.insert(0, 'Hier ist ein initialer Text');

    MissionMap.write(missionId, { missionId, doc, timestamp: 0 }, true);
  }

  public static async saveDoc(missionId: string) {
    // store Data to database
    const mission = MissionMap.read(missionId);
  }
}
